<!DOCTYPE HTML>
<html lang="es">
<head>
<!-- Generated by javadoc (20) on Thu Apr 27 09:20:17 CEST 2023 -->
<title>All Classes and Interfaces</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2023-04-27">
<meta name="description" content="class index">
<meta name="generator" content="javadoc/AllClassesIndexWriter">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.min.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jquery-3.6.1.min.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.min.js"></script>
</head>
<body class="all-classes-index-page">
<script type="text/javascript">var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top"><button id="navbar-toggle-button" aria-controls="navbar-top" aria-expanded="false" aria-label="Toggle navigation links"><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span><span class="nav-bar-toggle-icon">&nbsp;</span></button>
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html#all-classes">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div id="navbar-sub-list"></div>
<div class="nav-list-search"><a href="search.html">SEARCH</a>
<input type="text" id="search-input" disabled placeholder="Search">
<input type="reset" id="reset-button" disabled value="reset">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="All Classes and Interfaces" class="title">All Classes and Interfaces</h1>
</div>
<div id="all-classes-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button id="all-classes-table-tab0" role="tab" aria-selected="true" aria-controls="all-classes-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" onclick="show('all-classes-table', 'all-classes-table', 2)" class="active-table-tab">All Classes and Interfaces</button><button id="all-classes-table-tab1" role="tab" aria-selected="false" aria-controls="all-classes-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('all-classes-table', 'all-classes-table-tab1', 2)" class="table-tab">Interfaces</button><button id="all-classes-table-tab2" role="tab" aria-selected="false" aria-controls="all-classes-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('all-classes-table', 'all-classes-table-tab2', 2)" class="table-tab">Classes</button></div>
<div id="all-classes-table.tabpanel" role="tabpanel">
<div class="summary-table two-column-summary" aria-labelledby="all-classes-table-tab0">
<div class="table-header col-first">Class</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="com/eoi/springwebsecurity/security/userdetails/CustomUserDetails.html" title="class in com.eoi.springwebsecurity.security.userdetails">CustomUserDetails</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">The type Custom user details.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="com/eoi/springwebsecurity/filemanagement/controllers/DatabaseFileUploadController.html" title="class in com.eoi.springwebsecurity.filemanagement.controllers">DatabaseFileUploadController</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">The type Database file upload controller.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="com/eoi/springwebsecurity/filemanagement/services/DBFileStorageService.html" title="class in com.eoi.springwebsecurity.filemanagement.services">DBFileStorageService</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">The type Db file storage service.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="com/eoi/springwebsecurity/coreapp/error/DefaultErrorControllerAdvice.html" title="class in com.eoi.springwebsecurity.coreapp.error">DefaultErrorControllerAdvice</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">Clase controladora de errores que maneja las excepciones producidas en la aplicación.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="com/eoi/springwebsecurity/filemanagement/controllers/FileController.html" title="class in com.eoi.springwebsecurity.filemanagement.controllers">FileController</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">Controlador encargado de manejar la carga de archivos.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="com/eoi/springwebsecurity/filemanagement/entities/FileDB.html" title="class in com.eoi.springwebsecurity.filemanagement.entities">FileDB</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">Clase que representa un archivo en la base de datos.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab1"><a href="com/eoi/springwebsecurity/filemanagement/repositories/FileDBRepository.html" title="interface in com.eoi.springwebsecurity.filemanagement.repositories">FileDBRepository</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab1">
<div class="block">The interface File db repository.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="com/eoi/springwebsecurity/filemanagement/models/FileInfo.html" title="class in com.eoi.springwebsecurity.filemanagement.models">FileInfo</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">The type File info.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab1"><a href="com/eoi/springwebsecurity/filemanagement/services/FileSystemStorageService.html" title="interface in com.eoi.springwebsecurity.filemanagement.services">FileSystemStorageService</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab1">
<div class="block">Interfaz que define los métodos para la gestión de archivos.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="com/eoi/springwebsecurity/filemanagement/services/FileSystemStorageServiceImpl.html" title="class in com.eoi.springwebsecurity.filemanagement.services">FileSystemStorageServiceImpl</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">Clase que implementa la interfaz StorageService y proporciona métodos para la gestión de archivos en un directorio de almacenamiento.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="com/eoi/springwebsecurity/filemanagement/exception/FileUploadExceptionAdvice.html" title="class in com.eoi.springwebsecurity.filemanagement.exception">FileUploadExceptionAdvice</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">Clase que maneja las excepciones generadas durante la carga de archivos.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="com/eoi/springwebsecurity/security/controllers/ForgotPasswordController.html" title="class in com.eoi.springwebsecurity.security.controllers">ForgotPasswordController</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">The type Forgot password controller.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="com/eoi/springwebsecurity/websockets/messages/Greeting.html" title="class in com.eoi.springwebsecurity.websockets.messages">Greeting</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">The type Greeting.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="com/eoi/springwebsecurity/websockets/controllers/GreetingController.html" title="class in com.eoi.springwebsecurity.websockets.controllers">GreetingController</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">The type Greeting controller.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="com/eoi/springwebsecurity/websockets/messages/HelloMessage.html" title="class in com.eoi.springwebsecurity.websockets.messages">HelloMessage</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">The type Hello message.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="com/eoi/springwebsecurity/security/controllers/LoginController.html" title="class in com.eoi.springwebsecurity.security.controllers">LoginController</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">The type Login controller.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="com/eoi/springwebsecurity/coreapp/controllers/MainController.html" title="class in com.eoi.springwebsecurity.coreapp.controllers">MainController</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">The type Main controller.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="com/eoi/springwebsecurity/websockets/messages/PrivateMessage.html" title="class in com.eoi.springwebsecurity.websockets.messages">PrivateMessage</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">The type Private message.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="com/eoi/springwebsecurity/security/controllers/RegisterController.html" title="class in com.eoi.springwebsecurity.security.controllers">RegisterController</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">The type Register controller.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="com/eoi/springwebsecurity/filemanagement/models/ResponseMessage.html" title="class in com.eoi.springwebsecurity.filemanagement.models">ResponseMessage</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">The type Response message.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="com/eoi/springwebsecurity/coreapp/entities/Role.html" title="class in com.eoi.springwebsecurity.coreapp.entities">Role</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">The type Role.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab1"><a href="com/eoi/springwebsecurity/coreapp/repositories/RoleRepository.html" title="interface in com.eoi.springwebsecurity.coreapp.repositories">RoleRepository</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab1">
<div class="block">The interface Role repository.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="com/eoi/springwebsecurity/security/config/SecurityConfig.html" title="class in com.eoi.springwebsecurity.security.config">SecurityConfig</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">La anotación @Configuration indica que esta clase se utilizará como una fuente de definiciones de beans para el contexto de la aplicación.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="com/eoi/springwebsecurity/SpringWebSecurityApplication.html" title="class in com.eoi.springwebsecurity">SpringWebSecurityApplication</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">The type Spring web security application.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="com/eoi/springwebsecurity/SpringWebSecurityApplicationTests.html" title="class in com.eoi.springwebsecurity">SpringWebSecurityApplicationTests</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">The type Spring web security application tests.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="com/eoi/springwebsecurity/streaming/controller/StreamingController.html" title="class in com.eoi.springwebsecurity.streaming.controller">StreamingController</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">The type Streaming controller.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab1"><a href="com/eoi/springwebsecurity/streaming/services/StreamingService.html" title="interface in com.eoi.springwebsecurity.streaming.services">StreamingService</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab1">
<div class="block">The interface Streaming service.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="com/eoi/springwebsecurity/streaming/services/StreamingServiceImpl.html" title="class in com.eoi.springwebsecurity.streaming.services">StreamingServiceImpl</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">The type Streaming service.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="com/eoi/springwebsecurity/coreapp/entities/User.html" title="class in com.eoi.springwebsecurity.coreapp.entities">User</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">The type User.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="com/eoi/springwebsecurity/security/service/UserDetailsServiceImpl.html" title="class in com.eoi.springwebsecurity.security.service">UserDetailsServiceImpl</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">Esta clase es una implementación personalizada de UserDetailsService para manejar
 la autenticación de usuarios en la aplicación.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="com/eoi/springwebsecurity/coreapp/dto/UserDto.html" title="class in com.eoi.springwebsecurity.coreapp.dto">UserDto</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">The type User dto.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab1"><a href="com/eoi/springwebsecurity/coreapp/repositories/UserRepository.html" title="interface in com.eoi.springwebsecurity.coreapp.repositories">UserRepository</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab1">
<div class="block">The interface User repository.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab1"><a href="com/eoi/springwebsecurity/security/service/UserService.html" title="interface in com.eoi.springwebsecurity.security.service">UserService</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab1">
<div class="block">The interface User service.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="com/eoi/springwebsecurity/security/service/UserServiceImpl.html" title="class in com.eoi.springwebsecurity.security.service">UserServiceImpl</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">The type User service.</div>
</div>
<div class="col-first even-row-color all-classes-table all-classes-table-tab2"><a href="com/eoi/springwebsecurity/streaming/controller/VideoListController.html" title="class in com.eoi.springwebsecurity.streaming.controller">VideoListController</a></div>
<div class="col-last even-row-color all-classes-table all-classes-table-tab2">
<div class="block">The type Video list controller.</div>
</div>
<div class="col-first odd-row-color all-classes-table all-classes-table-tab2"><a href="com/eoi/springwebsecurity/websockets/config/WebSocketConfig.html" title="class in com.eoi.springwebsecurity.websockets.config">WebSocketConfig</a></div>
<div class="col-last odd-row-color all-classes-table all-classes-table-tab2">
<div class="block">The type Web socket config.</div>
</div>
</div>
</div>
</div>
</main>
</div>
</div>
</body>
</html>
